Bug 886993 - [abrt][a11y] libreoffice-core-3.5.7.2-6.fc17: is: SwAccessibleMap::FireEvents killed by signal 11 (SIGSEGV)
[abrt][a11y] libreoffice-core-3.5.7.2-6.fc17: is: SwAccessibleMap::FireEvents...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:5153d8efb238805d3ed372bfdf4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 13:55 EST by Boris Goldowsky
Modified: 2013-04-16 07:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 07:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (3.14 KB, text/plain)
2012-12-13 13:55 EST, Boris Goldowsky
no flags Details
File: environ (1.89 KB, text/plain)
2012-12-13 13:55 EST, Boris Goldowsky
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-13 13:55 EST, Boris Goldowsky
no flags Details
File: backtrace (45.14 KB, text/plain)
2012-12-13 13:55 EST, Boris Goldowsky
no flags Details
File: cgroup (125 bytes, text/plain)
2012-12-13 13:55 EST, Boris Goldowsky
no flags Details
File: smolt_data (3.29 KB, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: executable (42 bytes, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: maps (103.56 KB, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: dso_list (22.49 KB, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: proc_pid_status (917 bytes, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: open_fds (479 bytes, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details
File: var_log_messages (352 bytes, text/plain)
2012-12-13 13:56 EST, Boris Goldowsky
no flags Details

  None (edit)
Description Boris Goldowsky 2012-12-13 13:55:47 EST
Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/bc/Dropbox/Nix/Lab%20report%202/Lab%20report%202.5.odt --splash-pipe=6
crash_function: is
kernel:         3.6.9-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 is at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/com/sun/star/uno/Reference.h:103
: #1 com::sun::star::uno::WeakReferenceHelper::get at /usr/src/debug/libreoffice-3.5.7.2/cppuhelper/source/weak.cxx:522
: #2 operator com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible> at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/cppuhelper/weakref.hxx:162
: #3 GetContext at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:398
: #4 SwAccessibleMap::FireEvent at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:791
: #5 SwAccessibleMap::FireEvents at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:2292
: #6 SwLayIdle::SwLayIdle at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/layout/layact.cxx:2494
: #7 ViewShell::LayoutIdle at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/view/viewsh.cxx:676
: #8 SwDoc::DoIdleJobs at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/doc/doclay.cxx:1876
: #9 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/app/timer.cxx:144
Comment 1 Boris Goldowsky 2012-12-13 13:55:50 EST
Created attachment 663122 [details]
File: core_backtrace
Comment 2 Boris Goldowsky 2012-12-13 13:55:51 EST
Created attachment 663123 [details]
File: environ
Comment 3 Boris Goldowsky 2012-12-13 13:55:54 EST
Created attachment 663124 [details]
File: limits
Comment 4 Boris Goldowsky 2012-12-13 13:55:56 EST
Created attachment 663125 [details]
File: backtrace
Comment 5 Boris Goldowsky 2012-12-13 13:55:58 EST
Created attachment 663126 [details]
File: cgroup
Comment 6 Boris Goldowsky 2012-12-13 13:56:01 EST
Created attachment 663127 [details]
File: smolt_data
Comment 7 Boris Goldowsky 2012-12-13 13:56:03 EST
Created attachment 663128 [details]
File: executable
Comment 8 Boris Goldowsky 2012-12-13 13:56:06 EST
Created attachment 663129 [details]
File: maps
Comment 9 Boris Goldowsky 2012-12-13 13:56:09 EST
Created attachment 663130 [details]
File: dso_list
Comment 10 Boris Goldowsky 2012-12-13 13:56:11 EST
Created attachment 663131 [details]
File: proc_pid_status
Comment 11 Boris Goldowsky 2012-12-13 13:56:12 EST
Created attachment 663132 [details]
File: open_fds
Comment 12 Boris Goldowsky 2012-12-13 13:56:14 EST
Created attachment 663133 [details]
File: var_log_messages
Comment 13 Kenneth MUHIA 2012-12-19 02:25:12 EST
I was trying to create a pivot table

backtrace_rating: 4
Package: libreoffice-core-3.5.7.2-7.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Caolan McNamara 2013-04-16 07:04:41 EDT
Definitely a crash in writer and not calc, but can't reproduce it. Definitely a11y related.

Note You need to log in before you can comment on or make changes to this bug.